import { DBUserAdapter, CreateUserArgs, User, OptionalUser, GetUserForCredentialsArgs, UpdateUserArgs, DeleteUserArgs, ResetUserPasswordArgs, GetUsersArgs, ConnectionResult } from '@wepublish/api';
import { Db } from 'mongodb';
export declare class MongoDBUserAdapter implements DBUserAdapter {
    private users;
    private bcryptHashCostFactor;
    private locale;
    constructor(db: Db, bcryptHashCostFactor: number, locale: string);
    createUser({ input, password }: CreateUserArgs): Promise<OptionalUser>;
    getUser(email: string): Promise<OptionalUser>;
    updateUser({ id, input }: UpdateUserArgs): Promise<OptionalUser>;
    deleteUser({ id }: DeleteUserArgs): Promise<string | null>;
    resetUserPassword({ id, password }: ResetUserPasswordArgs): Promise<OptionalUser>;
    getUsersByID(ids: string[]): Promise<OptionalUser[]>;
    getUserForCredentials({ email, password }: GetUserForCredentialsArgs): Promise<OptionalUser>;
    getUserByID(id: string): Promise<OptionalUser>;
    getUsers({ filter, sort, order, cursor, limit }: GetUsersArgs): Promise<ConnectionResult<User>>;
}
//# sourceMappingURL=user.d.ts.map